$color-primary: #9356DC;
$color-secondary: #FF79DA;
$color-tertiary: #99E2D0;


// BLOCS MENU : DISPLAY W/ DELAY EFFECT
@keyframes fade {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.containermenu_blocplats {

  &.entrees {
    animation-name: fade;
    animation-delay: 1s;
    animation-duration: 2s;
    animation-fill-mode: forwards;
  }

  &.plats {
    animation-name: fade;
    animation-delay: 2s;
    animation-duration: 2s;
    animation-fill-mode: forwards;
  }

  &.desserts {
    animation-name: fade;
    animation-delay: 3s;
    animation-duration: 2s;
    animation-fill-mode: forwards;
  }
}

// HEADER
header {
  display: flex;
  flex-direction: row;

  img {
    margin: 0 auto;
    padding-bottom: 2%;
  }

  a {
    position: absolute;
    padding-left: 8%;
    padding-bottom: 1%;
  }
}

// BLOC PRINCIPAL VISUEL
.blocprincipal {
  display: flex;
  flex-direction: column;

  .visuelmenu img {
    width: 100%;
    z-index: -1;
    position: absolute;
  }
}

// BLOC PLATS

section {
  background-color: #DCDCDC;
  padding: 0% 0% 18% 4%;
  z-index: 0;
  margin-top: 55%;
  border-radius: 30px 30px 0 0;

  @keyframes biggerShadow {
    to {
      opacity: 0.85;
      box-shadow: 10px 10px 10px 1px rgba(0, 0, 0, 0.5);
    }
  }

  a {
    display: block;
    width: 50%;
    text-align: center;
    background-image: linear-gradient($color-secondary, $color-primary);
    color: #fafafa;
    margin: 0 auto;
    margin-top: 5%;
    padding: 12px 20px 12px 15px;
    border-radius: 30px;
    box-shadow: 5px 5px 5px 1px rgba(0, 0, 0, 0.2);
    font-size: 1rem;

    &:hover {
      animation-name: biggerShadow;
      animation-duration: 0.5s;
      animation-fill-mode: forwards;
    }
  }

  .containermenu_header {
    width: 90%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 3% 0%;

    h1 {
      font-family: "Shrikhand", sans-serif;
      font-size: 1.2rem;
      padding: 0%;
    }

    i {
      font-size: 1.5rem;
    }

    .iconToggle {
      text-align: center;
      margin-right: 2%;

      i.secondicon {
        position: relative;
        top: -18px;
        padding: 10%;
        opacity: 0;
        color: $color-secondary;
        transition: opacity 8s;
        transition: transform 1s;

        &:hover {
          opacity: 1;
          transform: scale(1.4);
        }
      }

      i.firsticon {
        position: relative;
        top: 16px;
        padding: 10%;
        cursor: pointer;
        color: black;
        transition: opacity 8s;

        &:hover {
          opacity: 0;
        }
      }
    }
  }

  .containermenu_blocplats {
    padding: 8% 0%;
    opacity: 0;

    .blocresponsive {
      margin-right: 3%;
    }

    h3 {
      text-transform: uppercase;
      font-size: 0.9rem;
      font-weight: 500;
    }


    .bar {
      width: 35px;
      height: 3px;
      margin-top: 1%;
      margin-bottom: 5%;
      background-color: $color-tertiary;
    }

    // BLOC PLATS + EFFET COCHE

    .containermenu_detailsplats {
      width: 95%;
      background-color: #fafafa;
      border-radius: 15px;
      line-height: 1.2rem;
      margin: 0 auto;
      margin-top: 3%;
      margin-bottom: 3%;
      display: flex;
      flex-direction: row;
      box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.1);
      max-width: 320px;

      .containertextandprice {
        border-radius: 15px;
        background-color: #fafafa;
        display: flex;
        padding: 1px;
        max-width: 100%;
        width: 400%;

        .containertext {
          border-radius: 15px;
          flex: 1 1 auto;
          padding: 3px;
          overflow: hidden;

          .long-text {
            border-radius: 15px;
            overflow: hidden;
            padding: 5px 5px 5px 5px;
            text-overflow: ellipsis;
            white-space: nowrap;
          }

          .long-text h4 {
            border-radius: 15px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
          }
        }

        .containerprice {
          flex: 0 0 auto;
          margin-right: 2px;
          padding: 28px 10px 10px 10px;
          font-weight: 700;
          float: right;
        }
      }

      .containercoche {
        width: 60px;
        height: 61px;
        margin-left: 8px;
        background-color: $color-tertiary;
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 0 15px 15px 0;
        transform-origin: 100% 0%;
        transform: scaleX(0);
        transition: transform 2s;

        i {
          color: $color-tertiary;
          background-color: #fafafa;
          padding: 12%;
          border-radius: 50%;
          margin-top: 10px;
          margin-left: 4px;
        }
      }

      @keyframes expand {
        from {
          width: 250%;
        }

        to {
          width: 80%;
        }
      }

      .containertextandprice:hover {
        cursor: pointer;
        animation-name: expand;
        animation-duration: 1s;
        animation-fill-mode: forwards;

        &+.containercoche {
          transform: scale(1);
          transition-delay: 0.5s;
        }

        .bloctxt {
          text-overflow: ellipsis;
          white-space: nowrap;
          overflow: hidden;
        }
      }
    }
  }
}


@media only screen and (min-width: 500px) {
  // BLOC MENU

  section {

    a {
      margin-top: 15%;
    }

    .containermenu_blocplats {
      padding: 3% 0% 0% 0%;

      .containermenu_detailsplats {
        max-width: 350px;
        max-height: 60px;
        display: flex;
        margin: 0 auto;
        margin-bottom: 3%;
      }
    }
  }

  // FOOTER
  footer {
    margin-top: 0px;
  }
}

@media only screen and (min-width: 900px) {
  // BLOC MENU

  section {
    padding-bottom: 8%;

    .containermenu_header {
      padding: 2% 0% 0% 0%;
    }

    a {
      width: 40%;
      padding: 15px 20px 15px 15px;
      margin-top: 5%;
      margin-bottom: 0%;
    }

    .containermenu_blocplats {

      .bar {
        margin-bottom: 3%;
      }

      .blocresponsive {
        display: flex;
        flex-wrap: wrap;
        margin-right: 4%;
      }
    }
  }
}
